For the complete documentation index, see llms.txt. This page is also available as Markdown.

Metrics

Get metrics.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Query parameters
start-indexinteger · int32Optional

an integer specifying the starting point (beginning with 0) when paging through a list of entities

Default: 0
max-resultsinteger · int32 · max: 100Optional

the maximum number of results when paging through a list of metrics. (Note: when using ?include maximum is reduced to 25)

Default: 10
Responses
200

The metrics

application/json
idnumberOptional
namestringOptional
descriptionstringOptional
aggregationTypestring · enumOptionalPossible values:
displayTypestring · enumOptionalPossible values:
interpolateGapsbooleanOptionalDefault: false
lockYAxisMaxnumber · doubleOptional
lockYAxisMinnumber · doubleOptional
mouseOverDecimalnumber · int32 · max: 6Optional
showValuesOnMouseOverbooleanOptionalDefault: false
unitLabelstringOptional
integrationKeystringOptional
get/metrics
GET /api/metrics HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The metrics

[
  {
    "id": 1,
    "name": "text",
    "description": "text",
    "aggregationType": "AVG",
    "displayType": "GRAPH",
    "interpolateGaps": false,
    "lockYAxisMax": 1,
    "lockYAxisMin": 1,
    "mouseOverDecimal": 1,
    "showValuesOnMouseOver": false,
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "unitLabel": "text",
    "integrationKey": "text",
    "dataSource": {
      "id": 1,
      "name": "text",
      "type": "DATADOG",
      "teams": [
        {
          "id": 1,
          "name": "text"
        }
      ],
      "managedBy": {
        "type": "API",
        "source": "text"
      }
    },
    "managedBy": {
      "type": "API",
      "source": "text"
    }
  }
]

Create a new metric.

post
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Body
namestringRequired
descriptionstringOptional
aggregationTypestring · enumRequiredPossible values:
displayTypestring · enumRequiredPossible values:
interpolateGapsbooleanOptionalDefault: false
lockYAxisMaxnumber · doubleOptional
lockYAxisMinnumber · doubleOptional
mouseOverDecimalnumber · int32 · max: 6Optional
showValuesOnMouseOverbooleanOptionalDefault: false
unitLabelstringOptional
metadataone ofOptional

Only required if the metric has a dataSource. You may not change this after creation.

Default: null
or
Responses
200

The newly created metric

application/json
idnumberOptional
namestringOptional
descriptionstringOptional
aggregationTypestring · enumOptionalPossible values:
displayTypestring · enumOptionalPossible values:
interpolateGapsbooleanOptionalDefault: false
lockYAxisMaxnumber · doubleOptional
lockYAxisMinnumber · doubleOptional
mouseOverDecimalnumber · int32 · max: 6Optional
showValuesOnMouseOverbooleanOptionalDefault: false
unitLabelstringOptional
integrationKeystringOptional
metadataone ofOptional

Only required if the metric has a dataSource. You may not change this after creation.

Default: null
or
statusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastStatusTransitionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

lastIngestionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

importStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastErrorstringRead-onlyOptional

This is an include field, it is not available in the list resource

post/metrics
POST /api/metrics HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 283

{
  "name": "text",
  "description": "text",
  "aggregationType": "AVG",
  "displayType": "GRAPH",
  "interpolateGaps": false,
  "lockYAxisMax": 1,
  "lockYAxisMin": 1,
  "mouseOverDecimal": 1,
  "showValuesOnMouseOver": false,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "unitLabel": "text",
  "metadata": "null",
  "dataSource": {
    "id": 1
  }
}
200

The newly created metric

{
  "id": 1,
  "name": "text",
  "description": "text",
  "aggregationType": "AVG",
  "displayType": "GRAPH",
  "interpolateGaps": false,
  "lockYAxisMax": 1,
  "lockYAxisMin": 1,
  "mouseOverDecimal": 1,
  "showValuesOnMouseOver": false,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "unitLabel": "text",
  "integrationKey": "text",
  "metadata": "null",
  "dataSource": {
    "id": 1,
    "name": "text",
    "type": "DATADOG",
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "metadata": {
      "region": "text",
      "apiKey": "text",
      "applicationKey": "text"
    },
    "managedBy": {
      "type": "API",
      "source": "text"
    },
    "status": "OK",
    "lastStatusTransition": "2026-01-01T00:00:00.000Z",
    "lastError": "text"
  },
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "status": "NONE",
  "lastStatusTransition": "2026-01-01T00:00:00.000Z",
  "lastIngestion": "2026-01-01T00:00:00.000Z",
  "importStatus": "NONE",
  "lastError": "text"
}

Get a specific Metric

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Query parameters
Responses
200

The requested metric

application/json
idnumberOptional
namestringOptional
descriptionstringOptional
aggregationTypestring · enumOptionalPossible values:
displayTypestring · enumOptionalPossible values:
interpolateGapsbooleanOptionalDefault: false
lockYAxisMaxnumber · doubleOptional
lockYAxisMinnumber · doubleOptional
mouseOverDecimalnumber · int32 · max: 6Optional
showValuesOnMouseOverbooleanOptionalDefault: false
unitLabelstringOptional
integrationKeystringOptional
metadataone ofOptional

Only required if the metric has a dataSource. You may not change this after creation.

Default: null
or
statusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastStatusTransitionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

lastIngestionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

importStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastErrorstringRead-onlyOptional

This is an include field, it is not available in the list resource

get/metrics/{id}
GET /api/metrics/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested metric

{
  "id": 1,
  "name": "text",
  "description": "text",
  "aggregationType": "AVG",
  "displayType": "GRAPH",
  "interpolateGaps": false,
  "lockYAxisMax": 1,
  "lockYAxisMin": 1,
  "mouseOverDecimal": 1,
  "showValuesOnMouseOver": false,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "unitLabel": "text",
  "integrationKey": "text",
  "metadata": "null",
  "dataSource": {
    "id": 1,
    "name": "text",
    "type": "DATADOG",
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "metadata": {
      "region": "text",
      "apiKey": "text",
      "applicationKey": "text"
    },
    "managedBy": {
      "type": "API",
      "source": "text"
    },
    "status": "OK",
    "lastStatusTransition": "2026-01-01T00:00:00.000Z",
    "lastError": "text"
  },
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "status": "NONE",
  "lastStatusTransition": "2026-01-01T00:00:00.000Z",
  "lastIngestion": "2026-01-01T00:00:00.000Z",
  "importStatus": "NONE",
  "lastError": "text"
}

Update the specific Metric

put
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Body
namestringRequired
descriptionstringOptional
aggregationTypestring · enumRequiredPossible values:
displayTypestring · enumRequiredPossible values:
interpolateGapsbooleanOptionalDefault: false
lockYAxisMaxnumber · doubleOptional
lockYAxisMinnumber · doubleOptional
mouseOverDecimalnumber · int32 · max: 6Optional
showValuesOnMouseOverbooleanOptionalDefault: false
unitLabelstringOptional
metadataone ofOptional

Only required if the metric has a dataSource. You may not change this after creation.

Default: null
or
Responses
200

The updated metric

application/json
idnumberOptional
namestringOptional
descriptionstringOptional
aggregationTypestring · enumOptionalPossible values:
displayTypestring · enumOptionalPossible values:
interpolateGapsbooleanOptionalDefault: false
lockYAxisMaxnumber · doubleOptional
lockYAxisMinnumber · doubleOptional
mouseOverDecimalnumber · int32 · max: 6Optional
showValuesOnMouseOverbooleanOptionalDefault: false
unitLabelstringOptional
integrationKeystringOptional
metadataone ofOptional

Only required if the metric has a dataSource. You may not change this after creation.

Default: null
or
statusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastStatusTransitionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

lastIngestionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

importStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastErrorstringRead-onlyOptional

This is an include field, it is not available in the list resource

put/metrics/{id}
PUT /api/metrics/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 283

{
  "name": "text",
  "description": "text",
  "aggregationType": "AVG",
  "displayType": "GRAPH",
  "interpolateGaps": false,
  "lockYAxisMax": 1,
  "lockYAxisMin": 1,
  "mouseOverDecimal": 1,
  "showValuesOnMouseOver": false,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "unitLabel": "text",
  "metadata": "null",
  "dataSource": {
    "id": 1
  }
}
200

The updated metric

{
  "id": 1,
  "name": "text",
  "description": "text",
  "aggregationType": "AVG",
  "displayType": "GRAPH",
  "interpolateGaps": false,
  "lockYAxisMax": 1,
  "lockYAxisMin": 1,
  "mouseOverDecimal": 1,
  "showValuesOnMouseOver": false,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "unitLabel": "text",
  "integrationKey": "text",
  "metadata": "null",
  "dataSource": {
    "id": 1,
    "name": "text",
    "type": "DATADOG",
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "metadata": {
      "region": "text",
      "apiKey": "text",
      "applicationKey": "text"
    },
    "managedBy": {
      "type": "API",
      "source": "text"
    },
    "status": "OK",
    "lastStatusTransition": "2026-01-01T00:00:00.000Z",
    "lastError": "text"
  },
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "status": "NONE",
  "lastStatusTransition": "2026-01-01T00:00:00.000Z",
  "lastIngestion": "2026-01-01T00:00:00.000Z",
  "importStatus": "NONE",
  "lastError": "text"
}

Delete the specific Metric

delete
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
idnumberRequired

entity ID

Responses
204

Empty body delete response

delete/metrics/{id}
DELETE /api/metrics/{id} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

Empty body delete response

No content

Get the metric with the specified name.

get
Authorizations
AuthorizationstringRequired

The Bearer API key of your user more info.

Path parameters
namestringRequired

unique name of the metric

Query parameters
Responses
200

The requested metric

application/json
idnumberOptional
namestringOptional
descriptionstringOptional
aggregationTypestring · enumOptionalPossible values:
displayTypestring · enumOptionalPossible values:
interpolateGapsbooleanOptionalDefault: false
lockYAxisMaxnumber · doubleOptional
lockYAxisMinnumber · doubleOptional
mouseOverDecimalnumber · int32 · max: 6Optional
showValuesOnMouseOverbooleanOptionalDefault: false
unitLabelstringOptional
integrationKeystringOptional
metadataone ofOptional

Only required if the metric has a dataSource. You may not change this after creation.

Default: null
or
statusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastStatusTransitionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

lastIngestionstring · date-timeRead-onlyOptional

This is an include field, it is not available in the list resource

importStatusstring · enumRead-onlyOptional

This is an include field, it is not available in the list resource

Possible values:
lastErrorstringRead-onlyOptional

This is an include field, it is not available in the list resource

get/metrics/name/{name}
GET /api/metrics/name/{name} HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

The requested metric

{
  "id": 1,
  "name": "text",
  "description": "text",
  "aggregationType": "AVG",
  "displayType": "GRAPH",
  "interpolateGaps": false,
  "lockYAxisMax": 1,
  "lockYAxisMin": 1,
  "mouseOverDecimal": 1,
  "showValuesOnMouseOver": false,
  "teams": [
    {
      "id": 1,
      "name": "text"
    }
  ],
  "unitLabel": "text",
  "integrationKey": "text",
  "metadata": "null",
  "dataSource": {
    "id": 1,
    "name": "text",
    "type": "DATADOG",
    "teams": [
      {
        "id": 1,
        "name": "text"
      }
    ],
    "metadata": {
      "region": "text",
      "apiKey": "text",
      "applicationKey": "text"
    },
    "managedBy": {
      "type": "API",
      "source": "text"
    },
    "status": "OK",
    "lastStatusTransition": "2026-01-01T00:00:00.000Z",
    "lastError": "text"
  },
  "managedBy": {
    "type": "API",
    "source": "text"
  },
  "status": "NONE",
  "lastStatusTransition": "2026-01-01T00:00:00.000Z",
  "lastIngestion": "2026-01-01T00:00:00.000Z",
  "importStatus": "NONE",
  "lastError": "text"
}

Last updated

Was this helpful?